[metadata]
name                          = onionprobe
version                       = 1.2.1
url                           = https://onionservices.torproject.org/apps/web/onionprobe
author                        = Silvio Rhatto
author_email                  = rhatto@torproject.org
license                       = GPLv3
description                   = Test and monitors the status of Tor Onion Services
long_description              = file: README.md
long_description_content_type = text/markdown
classifiers                   =
    Development Status :: 3 - Alpha
    Environment :: Console
    Intended Audience :: Developers
    Intended Audience :: Information Technology
    Intended Audience :: System Administrators
    License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)
    Natural Language :: English
    Programming Language :: Python
    Programming Language :: Python :: 3 :: Only
    Programming Language :: Python :: 3
    Programming Language :: Python :: 3.9
    Topic :: System :: Monitoring
    Topic :: Internet
    Topic :: Security
    Topic :: Security :: Cryptography
    Topic :: System :: Networking :: Monitoring

[options]
packages         = find:
package_dir      =
  = packages
install_requires =
    requests >= 2.27.1
    stem >= 1.8.0
    prometheus-client >= 0.14.1
    pyyaml >= 6.0
    pysocks >= 1.7.1
    cryptography >= 3.4.8
python_requires = >= 3.9
#scripts =
#  packages/real-world-onion-sites.py
#  packages/securedrop.py
#  packages/tpo.py

[options.entry_points]
console_scripts =
    onionprobe = onionprobe.app:run_from_cmdline

[options.data_files]
share/onionprobe/configs/ =
    configs/tor.yaml
    configs/real-world-onion-sites.yaml
    configs/securedrop.yaml
share/onionprobe/examples/ =
    packages/real-world-onion-sites.py
    packages/securedrop.py
    packages/tpo.py

[options.packages.find]
where = packages
